#!/bin/sh
# CSI daemon script for the lundftpd server
# Made by dc11ab 2010


# Start the lundftpd service 
start() {
        echo -n "Starting "
        /share/Apps/lundftpd/lundftpd 
        echo
}

# Stop the service 
stop() {
	echo -n "Stopping lundftpd server... "
        killall lundftpd
        instances=`ps aux |grep -c lundftpd`
        if (( $instances > 1 )); then
        	echo -e "Error: could not stop lundftpd!\n"
		exit 1
        else
        	echo "Stopped!"
        fi
        echo
       
}

# Not used by CSI, could be removed
restart() {
	echo -n "Stopping lundftpd server: "
        killall lundftpd
	echo -e "\nStarting lundftpd server: "
        /share/Apps/lundftpd/lundftpd 
        echo    
}

install() {
	# We should be here: /share/Apps/lundftpd
	lundhome=/share/Apps/lundftpd
	here=`pwd`
	if [ ! $here == $lundhome ]; then
 	 echo "Warning, we are on unchartered territory! Exiting."
	  exit 2
	fi

	# Adding default admin user: nmt password:1234
	if [ ! -f ftp-data/users ]; then
	   printf "nmt\n1234\nUF_ALL\n*\nq\n-1\nn\n" | ./lundftpd -a
	else	
	   echo "Warning: user records already exist!"
	   exit 3
	fi

	# Not sure why we do this, but why not?
	killall lundftpd

	#Start lundftpd
	echo "Starting lundftpd with new defaults. Check directory lundftpd.bak for old config files!"
	/share/Apps/lundftpd/lundftpd
}

uninstall() {
	echo "Copying existing lundftpd.conf, groups and users records to directory lundftpd.bak"	
	mkdir ./lundftpd.bak
	cp lundftpd.conf ./lundftpd.bak
	cp ./ftp-data/users ./ftp-data/groups ./lundftpd.bak
}

## The logic ##
case "$1" in
start)	start
	;;
stop)	stop
        ;;
restart) restart
        ;;
install) install
	;;
uninstall) uninstall
;;
*)	echo -e "\n\tUsage: $0 start|stop|restart|install|uninstall\n"
        exit
        ;;
esac
exit 0
